#import <React/RCTBridgeModule.h>
#import <React/RCTEventEmitter.h>

@interface RCT_EXTERN_MODULE(Trackflow, RCTEventEmitter)

RCT_EXTERN_METHOD(startTracking:(NSString *)apiKey )

RCT_EXTERN_METHOD(analyse:(NSString *)screenName )

//Usage in JS: Trackflow.startTracking("YOUR_API_KEY",[Trackflow.AUTO_CAPTURE, Trackflow.PERMISSIONS, Trackflow.SCREENSHOT_WEB_REQUEST]);
RCT_EXTERN_METHOD(startTrackingServices:(NSString *)apiKey options:(NSArray *)options )

RCT_EXTERN_METHOD(log:(NSString *)log )

RCT_EXTERN_METHOD(logNetwork:(NSString *)log )

RCT_EXTERN_METHOD(logStackTrace:(NSString *)log )

RCT_EXTERN_METHOD(startRecording:(NSString *)log )

RCT_EXTERN_METHOD(getLocation:(NSString *)apiKey )

RCT_EXTERN_METHOD(version: (RCTPromiseResolveBlock *)resolve
 rejecter:(RCTPromiseRejectBlock *)reject)

 RCT_EXTERN_METHOD(getDeviceInfo: (RCTPromiseResolveBlock *)resolve
rejecter:(RCTPromiseRejectBlock *)reject)

RCT_EXTERN_METHOD(logAsyncStorage:(NSString *)asyncstorage )

RCT_EXTERN_METHOD(supportedEvents)
RCT_EXTERN_METHOD(constantsToExport)

// RCT_EXTERN_METHOD(memoryInKB: (RCTPromiseResolveBlock *)resolve
// rejecter:(RCTPromiseRejectBlock *)reject)

@end
