require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-trackflow"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.homepage     = package["homepage"]
  s.license      = package["license"]
  s.authors      = package["author"]
  s.swift_version = '4.2'

  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => "https://github.com/synclovisdevs/react-native-trackflow.ai.git", :tag => "#{s.version}" }

  
  s.source_files = "ios/**/*.{h,m,mm,swift}"
  
  #s.framework = "ReplayKit"
  s.frameworks = "Foundation", "UIKit" , "ReplayKit"
  s.requires_arc = true
  s.dependency "React"
  s.dependency "Socket.IO-Client-Swift", "~> 15.2.0"
  s.dependency "Trackflow","0.0.51"
end
