
import AsyncStorage from '@react-native-community/async-storage';
import { NativeModules } from 'react-native';
const { Trackflow } = NativeModules;


export default new class AsyncLocalStorage {


    async get(){
        try{
            const keys = await AsyncStorage.getAllKeys();
            if(keys.length > 0){
                const result = await AsyncStorage.multiGet(keys);  
                let storageObj = {}
                for(let keyval of result){
                    if(keyval != undefined && keyval.length > 0){
                        storageObj[keyval[0]] = keyval[1];
                    }
                }                
                Trackflow.logAsyncStorage(JSON.stringify(storageObj));
            }
        }catch(e){

        }
    }
}