

import { NativeModules,NativeEventEmitter,DeviceEventEmitter} from 'react-native';
import Logger from './Logger'
import AsyncLocalStorage from './AsyncLocalStorage';
const { Trackflow } = NativeModules;

const TrackflowEvent = new NativeEventEmitter(Trackflow);
TrackflowEvent.addListener("async_storage", (asyncStorageData) => {  
    AsyncLocalStorage.get();
});

Logger.enableXHRInterception();


export default Trackflow;
